# IceMX::SubscriberMetrics

## Overview

### class SubscriberMetrics extends Metrics

Provides information on IceStorm subscribers.

## Data Member Index

queued
  Number of queued events.
outstanding
  Number of outstanding events.
delivered
  Number of forwarded events.

## Data Members

### int queued;

Number of queued events.

### int outstanding;

Number of outstanding events.

### long delivered;

Number of forwarded events.